Package com.independentsoft.graph

# Class EnumUtil

java.lang.Object
com.independentsoft.graph.EnumUtil

public class EnumUtil extends Object
Utility class for converting between enum values and their string representations in Microsoft Graph API.

The EnumUtil class provides static methods for parsing enum types from Microsoft Graph API JSON responses and converting enum values back to their string representations for API requests. This ensures consistent handling of enumerated values across all Graph API operations.

This utility supports enumerations for:

- Calendar - Event types, recurrence patterns, availability status, response types
- Files - Drive types, conflict behavior, permissions, folder types
- Groups - Group types, visibility, license processing states
- Mail - Importance levels, inference classification, message flags
- Teams - Team specializations, channel types, meeting settings
- Users - Age groups, consent status, external user states
- To-Do - Task status, task list types
- Sites - List templates, column types, display formats

Usage pattern:

     // Parse from JSON string value
     String importanceValue = "high";
     Importance importance = EnumUtil.parseImportance(importanceValue);

     // Convert to JSON string value
     String jsonValue = EnumUtil.parseImportance(Importance.HIGH);
     // Returns: "high"

     // Handle list of enum values
     List<GroupType> groupTypes = new ArrayList<>();
     for (String typeString : jsonArray) {
         groupTypes.add(EnumUtil.parseGroupType(typeString));
     }

Since:
  1.0
See Also:
  Microsoft Graph API overview

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `parseActivityDomain​(ActivityDomain value)`
  `static ActivityDomain`
  `parseActivityDomain​(String value)`
  `static String`
  `parseActivityInterval​(ActivityInterval value)`
  `static String`
  `parseAgeGroup​(AgeGroup value)`
  `static AgeGroup`
  `parseAgeGroup​(String value)`
  `static String`
  `parseAssignmentState​(AssignmentState value)`
  `static AssignmentState`
  `parseAssignmentState​(String value)`
  `static String`
  `parseAttachmentType​(AttachmentType value)`
  `static AttachmentType`
  `parseAttachmentType​(String value)`
  `static String`
  `parseAttendeeType​(AttendeeType value)`
  `static AttendeeType`
  `parseAttendeeType​(String value)`
  `static String`
  `parseAutomaticRepliesStatus​(AutomaticRepliesStatus value)`
  `static AutomaticRepliesStatus`
  `parseAutomaticRepliesStatus​(String value)`
  `static String`
  `parseAvailabilityView​(AvailabilityView value)`
  `static AvailabilityView`
  `parseAvailabilityView​(String value)`
  `static String`
  `parseBookingType​(BookingType value)`
  `static BookingType`
  `parseBookingType​(String value)`
  `static String`
  `parseBroadcastMeetingAudience​(BroadcastMeetingAudience value)`
  `static BroadcastMeetingAudience`
  `parseBroadcastMeetingAudience​(String value)`
  `static String`
  `parseCalculatedColumnOutputType​(CalculatedColumnOutputType value)`
  `static CalculatedColumnOutputType`
  `parseCalculatedColumnOutputType​(String value)`
  `static String`
  `parseCalculationMode​(CalculationMode value)`
  `static CalculationMode`
  `parseCalculationMode​(String value)`
  `static String`
  `parseCalculationType​(CalculationType value)`
  `static CalculationType`
  `parseCalculationType​(String value)`
  `static String`
  `parseCalendarColor​(CalendarColor value)`
  `static CalendarColor`
  `parseCalendarColor​(String value)`
  `static String`
  `parseCallDirection​(CallDirection value)`
  `static CallDirection`
  `parseCallDirection​(String value)`
  `static String`
  `parseCallState​(CallState value)`
  `static CallState`
  `parseCallState​(String value)`
  `static String`
  `parseCallType​(CallType value)`
  `static CallType`
  `parseCallType​(String value)`
  `static String`
  `parseCellValueType​(CellValueType value)`
  `static CellValueType`
  `parseCellValueType​(String value)`
  `static String`
  `parseChangeType​(ChangeType value)`
  `static ChangeType`
  `parseChangeType​(String value)`
  `static List<ChangeType>`
  `parseChangeTypes​(String values)`
  `static String`
  `parseChangeTypes​(List<ChangeType> values)`
  `static String`
  `parseChannelMembershipType​(ChannelMembershipType value)`
  `static ChannelMembershipType`
  `parseChannelMembershipType​(String value)`
  `static String`
  `parseChannelReplyRestriction​(ChannelReplyRestriction value)`
  `static ChannelReplyRestriction`
  `parseChannelReplyRestriction​(String value)`
  `static String`
  `parseChannelUserNewMessageRestriction​(ChannelUserNewMessageRestriction value)`
  `static ChannelUserNewMessageRestriction`
  `parseChannelUserNewMessageRestriction​(String value)`
  `static String`
  `parseChartFittingMode​(ChartFittingMode value)`
  `static ChartFittingMode`
  `parseChartFittingMode​(String value)`
  `static String`
  `parseChartSeriesBy​(ChartSeriesBy value)`
  `static ChartSeriesBy`
  `parseChartSeriesBy​(String value)`
  `static String`
  `parseChartType​(ChartType value)`
  `static ChartType`
  `parseChartType​(String value)`
  `static String`
  `parseChatMessageImportance​(ChatMessageImportance value)`
  `static ChatMessageImportance`
  `parseChatMessageImportance​(String value)`
  `static String`
  `parseChatType​(ChatType value)`
  `static ChatType`
  `parseChatType​(String value)`
  `static String`
  `parseChoiceColor​(ChoiceColor value)`
  `static ChoiceColor`
  `parseChoiceColor​(String value)`
  `static String`
  `parseChoicesDisplayAs​(ChoicesDisplayAs value)`
  `static ChoicesDisplayAs`
  `parseChoicesDisplayAs​(String value)`
  `static String`
  `parseConflictBehavior​(ConflictBehavior value)`
  `static ConflictBehavior`
  `parseConflictBehavior​(String value)`
  `static String`
  `parseConsentProvidedForMinor​(ConsentProvidedForMinor value)`
  `static ConsentProvidedForMinor`
  `parseConsentProvidedForMinor​(String value)`
  `static String`
  `parseContentType​(ContentType value)`
  `static ContentType`
  `parseContentType​(String value)`
  `static String`
  `parseDateTimeDisplayAs​(DateTimeDisplayAs value)`
  `static DateTimeDisplayAs`
  `parseDateTimeDisplayAs​(String value)`
  `static String`
  `parseDateTimeFormat​(DateTimeFormat value)`
  `static DateTimeFormat`
  `parseDateTimeFormat​(String value)`
  `static String`
  `parseDayOfWeek​(DayOfWeek value)`
  `static DayOfWeek`
  `parseDayOfWeek​(String value)`
  `static String`
  `parseDayOfWeekIndex​(DayOfWeekIndex value)`
  `static DayOfWeekIndex`
  `parseDayOfWeekIndex​(String value)`
  `static String`
  `parseDeleteActionObjectType​(DeleteActionObjectType value)`
  `static DeleteActionObjectType`
  `parseDeleteActionObjectType​(String value)`
  `static String`
  `parseDriveItemSourceApplication​(DriveItemSourceApplication value)`
  `static DriveItemSourceApplication`
  `parseDriveItemSourceApplication​(String value)`
  `static String`
  `parseDriveType​(DriveType value)`
  `static DriveType`
  `parseDriveType​(String value)`
  `static String`
  `parseEmptySuggestionsReason​(EmptySuggestionsReason value)`
  `static EmptySuggestionsReason`
  `parseEmptySuggestionsReason​(String value)`
  `static String`
  `parseEventType​(EventType value)`
  `static EventType`
  `parseEventType​(String value)`
  `static String`
  `parseExchangeIdFormat​(ExchangeIdFormat value)`
  `static ExchangeIdFormat`
  `parseExchangeIdFormat​(String value)`
  `static String`
  `parseExtendedPropertyType​(ExtendedPropertyType value)`
  `static ExtendedPropertyType`
  `parseExtendedPropertyType​(String value)`
  `static String`
  `parseExternalAudience​(ExternalAudience value)`
  `static ExternalAudience`
  `parseExternalAudience​(String value)`
  `static String`
  `parseExternalUserState​(ExternalUserState value)`
  `static ExternalUserState`
  `parseExternalUserState​(String value)`
  `static String`
  `parseFlagStatus​(FlagStatus value)`
  `static FlagStatus`
  `parseFlagStatus​(String value)`
  `static String`
  `parseFreeBusyStatus​(FreeBusyStatus value)`
  `static FreeBusyStatus`
  `parseFreeBusyStatus​(String value)`
  `static String`
  `parseGiphyContentRating​(GiphyContentRating value)`
  `static GiphyContentRating`
  `parseGiphyContentRating​(String value)`
  `static String`
  `parseGroupColorTheme​(GroupColorTheme value)`
  `static GroupColorTheme`
  `parseGroupColorTheme​(String value)`
  `static String`
  `parseGroupType​(GroupType value)`
  `static GroupType`
  `parseGroupType​(String value)`
  `static String`
  `parseGroupVisibility​(GroupVisibility value)`
  `static GroupVisibility`
  `parseGroupVisibility​(String value)`
  `static String`
  `parseImportance​(Importance value)`
  `static Importance`
  `parseImportance​(String value)`
  `static String`
  `parseInferenceClassification​(InferenceClassification value)`
  `static InferenceClassification`
  `parseInferenceClassification​(String value)`
  `static String`
  `parseJobStatus​(JobStatus value)`
  `static JobStatus`
  `parseJobStatus​(String value)`
  `static String`
  `parseLatestSupportedTlsVersion​(LatestSupportedTlsVersion value)`
  `static LatestSupportedTlsVersion`
  `parseLatestSupportedTlsVersion​(String value)`
  `static String`
  `parseLegalAgeGroupClassification​(LegalAgeGroupClassification value)`
  `static LegalAgeGroupClassification`
  `parseLegalAgeGroupClassification​(String value)`
  `static String`
  `parseLicenseAssignmentFailureError​(LicenseAssignmentFailureError value)`
  `static LicenseAssignmentFailureError`
  `parseLicenseAssignmentFailureError​(String value)`
  `static String`
  `parseLicenseProcessingState​(LicenseProcessingState value)`
  `static LicenseProcessingState`
  `parseLicenseProcessingState​(String value)`
  `static String`
  `parseLifecycleEventType​(LifecycleEventType value)`
  `static LifecycleEventType`
  `parseLifecycleEventType​(String value)`
  `static String`
  `parseListTemplateType​(ListTemplateType value)`
  `static ListTemplateType`
  `parseListTemplateType​(String value)`
  `static String`
  `parseLocationType​(LocationType value)`
  `static LocationType`
  `parseLocationType​(String value)`
  `static String`
  `parseMailTipsType​(MailTipsType value)`
  `static String`
  `parseMediaDirection​(MediaDirection value)`
  `static MediaDirection`
  `parseMediaDirection​(String value)`
  `static String`
  `parseMediaSourceContentCategory​(MediaSourceContentCategory value)`
  `static MediaSourceContentCategory`
  `parseMediaSourceContentCategory​(String value)`
  `static String`
  `parseMeetingChatMode​(MeetingChatMode value)`
  `static MeetingChatMode`
  `parseMeetingChatMode​(String value)`
  `static String`
  `parseMeetingMessageType​(MeetingMessageType value)`
  `static MeetingMessageType`
  `parseMeetingMessageType​(String value)`
  `static String`
  `parseMembershipRuleProcessingState​(MembershipRuleProcessingState value)`
  `static MembershipRuleProcessingState`
  `parseMembershipRuleProcessingState​(String value)`
  `static String`
  `parseMessageActionFlag​(MessageActionFlag value)`
  `static MessageActionFlag`
  `parseMessageActionFlag​(String value)`
  `static String`
  `parseModality​(Modality value)`
  `static Modality`
  `parseModality​(String value)`
  `static List<String>`
  `parseModality​(List<Modality> values)`
  `static Month`
  `parseMonth​(int value)`
  `static String`
  `parseMonth​(Month value)`
  `static String`
  `parseNetworkConnectionType​(NetworkConnectionType value)`
  `static NetworkConnectionType`
  `parseNetworkConnectionType​(String value)`
  `static String`
  `parseNumberDecimalPlaces​(NumberDecimalPlaces value)`
  `static NumberDecimalPlaces`
  `parseNumberDecimalPlaces​(String value)`
  `static String`
  `parseNumberDisplayAs​(NumberDisplayAs value)`
  `static NumberDisplayAs`
  `parseNumberDisplayAs​(String value)`
  `static String`
  `parseOnlineMeetingPresenters​(OnlineMeetingPresenters value)`
  `static OnlineMeetingPresenters`
  `parseOnlineMeetingPresenters​(String value)`
  `static String`
  `parseOnlineMeetingProvider​(OnlineMeetingProvider value)`
  `static OnlineMeetingProvider`
  `parseOnlineMeetingProvider​(String value)`
  `static String`
  `parseOnlineMeetingRole​(OnlineMeetingRole value)`
  `static OnlineMeetingRole`
  `parseOnlineMeetingRole​(String value)`
  `static String`
  `parseOutlookCategoryColor​(OutlookCategoryColor value)`
  `static OutlookCategoryColor`
  `parseOutlookCategoryColor​(String value)`
  `static String`
  `parsePermissionType​(PermissionType value)`
  `static PermissionType`
  `parsePermissionType​(String value)`
  `static String`
  `parsePersonOrGroupChooseFromType​(PersonOrGroupChooseFromType value)`
  `static PersonOrGroupChooseFromType`
  `parsePersonOrGroupChooseFromType​(String value)`
  `static String`
  `parsePersonOrGroupDisplayAs​(PersonOrGroupDisplayAs value)`
  `static PersonOrGroupDisplayAs`
  `parsePersonOrGroupDisplayAs​(String value)`
  `static String`
  `parsePhoneType​(PhoneType value)`
  `static PhoneType`
  `parsePhoneType​(String value)`
  `static String`
  `parsePhysicalAddressType​(PhysicalAddressType value)`
  `static PhysicalAddressType`
  `parsePhysicalAddressType​(String value)`
  `static String`
  `parsePlannerPlanContainerType​(PlannerPlanContainerType value)`
  `static PlannerPlanContainerType`
  `parsePlannerPlanContainerType​(String value)`
  `static String`
  `parsePresenceActivity​(PresenceActivity value)`
  `static PresenceActivity`
  `parsePresenceActivity​(String value)`
  `static String`
  `parsePresenceAvailability​(PresenceAvailability value)`
  `static PresenceAvailability`
  `parsePresenceAvailability​(String value)`
  `static String`
  `parsePublicationLevel​(PublicationLevel value)`
  `static PublicationLevel`
  `parsePublicationLevel​(String value)`
  `static String`
  `parseRecipientScope​(RecipientScope value)`
  `static RecipientScope`
  `parseRecipientScope​(String value)`
  `static String`
  `parseRecordingStatus​(RecordingStatus value)`
  `static RecordingStatus`
  `parseRecordingStatus​(String value)`
  `static String`
  `parseRecurrencePatternType​(RecurrencePatternType value)`
  `static RecurrencePatternType`
  `parseRecurrencePatternType​(String value)`
  `static String`
  `parseRecurrenceRangeType​(RecurrenceRangeType value)`
  `static RecurrenceRangeType`
  `parseRecurrenceRangeType​(String value)`
  `static String`
  `parseReferenceAttachmentPermission​(ReferenceAttachmentPermission value)`
  `static ReferenceAttachmentPermission`
  `parseReferenceAttachmentPermission​(String value)`
  `static String`
  `parseReferenceAttachmentProvider​(ReferenceAttachmentProvider value)`
  `static ReferenceAttachmentProvider`
  `parseReferenceAttachmentProvider​(String value)`
  `static String`
  `parseReferenceType​(ReferenceType value)`
  `static ReferenceType`
  `parseReferenceType​(String value)`
  `static String`
  `parseRejectReason​(RejectReason value)`
  `static RejectReason`
  `parseRejectReason​(String value)`
  `static String`
  `parseResponseType​(ResponseType value)`
  `static ResponseType`
  `parseResponseType​(String value)`
  `static String`
  `parseRoutingType​(RoutingType value)`
  `static RoutingType`
  `parseRoutingType​(String value)`
  `static String`
  `parseSensitivity​(Sensitivity value)`
  `static Sensitivity`
  `parseSensitivity​(String value)`
  `static String`
  `parseSharedScope​(SharedScope value)`
  `static SharedScope`
  `parseSharedScope​(String value)`
  `static String`
  `parseSharingInvitationRole​(SharingInvitationRole value)`
  `static SharingInvitationRole`
  `parseSharingInvitationRole​(String value)`
  `static List<String>`
  `parseSharingInvitationRole​(List<SharingInvitationRole> values)`
  `static String`
  `parseSharingLinkScope​(SharingLinkScope value)`
  `static SharingLinkScope`
  `parseSharingLinkScope​(String value)`
  `static String`
  `parseSharingLinkType​(SharingLinkType value)`
  `static SharingLinkType`
  `parseSharingLinkType​(String value)`
  `static String`
  `parseShowAs​(ShowAs value)`
  `static ShowAs`
  `parseShowAs​(String value)`
  `static String`
  `parseSortBy​(SortBy value)`
  `static SortBy`
  `parseSortBy​(String value)`
  `static String`
  `parseSortOrder​(SortOrder value)`
  `static SortOrder`
  `parseSortOrder​(String value)`
  `static String`
  `parseStandardDriveFolder​(StandardDriveFolder value)`
  `static StandardDriveFolder`
  `parseStandardDriveFolder​(String value)`
  `static String`
  `parseStandardMailboxFolder​(StandardMailboxFolder value)`
  `static StandardMailboxFolder`
  `parseStandardMailboxFolder​(String value)`
  `static String`
  `parseStandardTodoTaskListName​(StandardTodoTaskListName value)`
  `static StandardTodoTaskListName`
  `parseStandardTodoTaskListName​(String value)`
  `static String`
  `parseStorageSpaceState​(StorageSpaceState value)`
  `static StorageSpaceState`
  `parseStorageSpaceState​(String value)`
  `static String`
  `parseTeamsAppDistributionMethod​(TeamsAppDistributionMethod value)`
  `static TeamsAppDistributionMethod`
  `parseTeamsAppDistributionMethod​(String value)`
  `static String`
  `parseTeamSpecialization​(TeamSpecialization value)`
  `static TeamSpecialization`
  `parseTeamSpecialization​(String value)`
  `static String`
  `parseTeamVisibilityType​(TeamVisibilityType value)`
  `static TeamVisibilityType`
  `parseTeamVisibilityType​(String value)`
  `static String`
  `parseTextType​(TextType value)`
  `static TextType`
  `parseTextType​(String value)`
  `static String`
  `parseTodoTaskStatus​(TodoTaskStatus value)`
  `static TodoTaskStatus`
  `parseTodoTaskStatus​(String value)`
  `static String`
  `parseTone​(Tone value)`
  `static Tone`
  `parseTone​(String value)`
  `static String`
  `parseUserFeedbackRating​(UserFeedbackRating value)`
  `static UserFeedbackRating`
  `parseUserFeedbackRating​(String value)`
  `static String`
  `parseViewType​(ViewType value)`
  `static ViewType`
  `parseViewType​(String value)`
  `static String`
  `parseWebsiteType​(WebsiteType value)`
  `static WebsiteType`
  `parseWebsiteType​(String value)`
  `static String`
  `parseWifiBand​(WifiBand value)`
  `static WifiBand`
  `parseWifiBand​(String value)`
  `static String`
  `parseWorksheetVisibility​(WorksheetVisibility value)`
  `static WorksheetVisibility`
  `parseWorksheetVisibility​(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseTodoTaskStatus

    public static TodoTaskStatus parseTodoTaskStatus​(String value)

  - ### parseTodoTaskStatus

    public static String parseTodoTaskStatus​(TodoTaskStatus value)

  - ### parseStandardTodoTaskListName

    public static StandardTodoTaskListName parseStandardTodoTaskListName​(String value)

  - ### parseStandardTodoTaskListName

    public static String parseStandardTodoTaskListName​(StandardTodoTaskListName value)

  - ### parseOnlineMeetingRole

    public static OnlineMeetingRole parseOnlineMeetingRole​(String value)

  - ### parseOnlineMeetingRole

    public static String parseOnlineMeetingRole​(OnlineMeetingRole value)

  - ### parseBroadcastMeetingAudience

    public static BroadcastMeetingAudience parseBroadcastMeetingAudience​(String value)

  - ### parseBroadcastMeetingAudience

    public static String parseBroadcastMeetingAudience​(BroadcastMeetingAudience value)

  - ### parseMeetingChatMode

    public static MeetingChatMode parseMeetingChatMode​(String value)

  - ### parseMeetingChatMode

    public static String parseMeetingChatMode​(MeetingChatMode value)

  - ### parseOnlineMeetingPresenters

    public static OnlineMeetingPresenters parseOnlineMeetingPresenters​(String value)

  - ### parseOnlineMeetingPresenters

    public static String parseOnlineMeetingPresenters​(OnlineMeetingPresenters value)

  - ### parseSharingInvitationRole

    public static List<String> parseSharingInvitationRole​(List<SharingInvitationRole> values)

  - ### parseSharingInvitationRole

    public static SharingInvitationRole parseSharingInvitationRole​(String value)

  - ### parseSharingInvitationRole

    public static String parseSharingInvitationRole​(SharingInvitationRole value)

  - ### parseDriveItemSourceApplication

    public static DriveItemSourceApplication parseDriveItemSourceApplication​(String value)

  - ### parseDriveItemSourceApplication

    public static String parseDriveItemSourceApplication​(DriveItemSourceApplication value)

  - ### parseMediaSourceContentCategory

    public static MediaSourceContentCategory parseMediaSourceContentCategory​(String value)

  - ### parseMediaSourceContentCategory

    public static String parseMediaSourceContentCategory​(MediaSourceContentCategory value)

  - ### parseDeleteActionObjectType

    public static DeleteActionObjectType parseDeleteActionObjectType​(String value)

  - ### parseDeleteActionObjectType

    public static String parseDeleteActionObjectType​(DeleteActionObjectType value)

  - ### parseAttachmentType

    public static AttachmentType parseAttachmentType​(String value)

  - ### parseAttachmentType

    public static String parseAttachmentType​(AttachmentType value)

  - ### parseLifecycleEventType

    public static LifecycleEventType parseLifecycleEventType​(String value)

  - ### parseLifecycleEventType

    public static String parseLifecycleEventType​(LifecycleEventType value)

  - ### parseLatestSupportedTlsVersion

    public static LatestSupportedTlsVersion parseLatestSupportedTlsVersion​(String value)

  - ### parseLatestSupportedTlsVersion

    public static String parseLatestSupportedTlsVersion​(LatestSupportedTlsVersion value)

  - ### parseChangeType

    public static ChangeType parseChangeType​(String value)

  - ### parseChangeType

    public static String parseChangeType​(ChangeType value)

  - ### parseChangeTypes

    public static List<ChangeType> parseChangeTypes​(String values)

  - ### parseChangeTypes

    public static String parseChangeTypes​(List<ChangeType> values)

  - ### parseTeamsAppDistributionMethod

    public static TeamsAppDistributionMethod parseTeamsAppDistributionMethod​(String value)

  - ### parseTeamsAppDistributionMethod

    public static String parseTeamsAppDistributionMethod​(TeamsAppDistributionMethod value)

  - ### parseChatMessageImportance

    public static ChatMessageImportance parseChatMessageImportance​(String value)

  - ### parseChatMessageImportance

    public static String parseChatMessageImportance​(ChatMessageImportance value)

  - ### parseChatType

    public static ChatType parseChatType​(String value)

  - ### parseChatType

    public static String parseChatType​(ChatType value)

  - ### parseChannelMembershipType

    public static ChannelMembershipType parseChannelMembershipType​(String value)

  - ### parseChannelMembershipType

    public static String parseChannelMembershipType​(ChannelMembershipType value)

  - ### parseChannelUserNewMessageRestriction

    public static ChannelUserNewMessageRestriction parseChannelUserNewMessageRestriction​(String value)

  - ### parseChannelUserNewMessageRestriction

    public static String parseChannelUserNewMessageRestriction​(ChannelUserNewMessageRestriction value)

  - ### parseChannelReplyRestriction

    public static ChannelReplyRestriction parseChannelReplyRestriction​(String value)

  - ### parseChannelReplyRestriction

    public static String parseChannelReplyRestriction​(ChannelReplyRestriction value)

  - ### parseGiphyContentRating

    public static GiphyContentRating parseGiphyContentRating​(String value)

  - ### parseGiphyContentRating

    public static String parseGiphyContentRating​(GiphyContentRating value)

  - ### parseTeamVisibilityType

    public static TeamVisibilityType parseTeamVisibilityType​(String value)

  - ### parseTeamVisibilityType

    public static String parseTeamVisibilityType​(TeamVisibilityType value)

  - ### parseTeamSpecialization

    public static TeamSpecialization parseTeamSpecialization​(String value)

  - ### parseTeamSpecialization

    public static String parseTeamSpecialization​(TeamSpecialization value)

  - ### parseExtendedPropertyType

    public static ExtendedPropertyType parseExtendedPropertyType​(String value)

  - ### parseExtendedPropertyType

    public static final String parseExtendedPropertyType​(ExtendedPropertyType value)

  - ### parsePhoneType

    public static PhoneType parsePhoneType​(String value)

  - ### parsePhoneType

    public static final String parsePhoneType​(PhoneType value)

  - ### parseWebsiteType

    public static WebsiteType parseWebsiteType​(String value)

  - ### parseWebsiteType

    public static final String parseWebsiteType​(WebsiteType value)

  - ### parseMessageActionFlag

    public static MessageActionFlag parseMessageActionFlag​(String value)

  - ### parseMessageActionFlag

    public static final String parseMessageActionFlag​(MessageActionFlag value)

  - ### parseDateTimeFormat

    public static DateTimeFormat parseDateTimeFormat​(String value)

  - ### parseDateTimeFormat

    public static final String parseDateTimeFormat​(DateTimeFormat value)

  - ### parseTextType

    public static TextType parseTextType​(String value)

  - ### parseTextType

    public static final String parseTextType​(TextType value)

  - ### parsePersonOrGroupDisplayAs

    public static PersonOrGroupDisplayAs parsePersonOrGroupDisplayAs​(String value)

  - ### parsePersonOrGroupDisplayAs

    public static final String parsePersonOrGroupDisplayAs​(PersonOrGroupDisplayAs value)

  - ### parsePersonOrGroupChooseFromType

    public static PersonOrGroupChooseFromType parsePersonOrGroupChooseFromType​(String value)

  - ### parsePersonOrGroupChooseFromType

    public static final String parsePersonOrGroupChooseFromType​(PersonOrGroupChooseFromType value)

  - ### parseNumberDisplayAs

    public static NumberDisplayAs parseNumberDisplayAs​(String value)

  - ### parseNumberDisplayAs

    public static final String parseNumberDisplayAs​(NumberDisplayAs value)

  - ### parseNumberDecimalPlaces

    public static NumberDecimalPlaces parseNumberDecimalPlaces​(String value)

  - ### parseNumberDecimalPlaces

    public static final String parseNumberDecimalPlaces​(NumberDecimalPlaces value)

  - ### parseListTemplateType

    public static ListTemplateType parseListTemplateType​(String value)

  - ### parseListTemplateType

    public static final String parseListTemplateType​(ListTemplateType value)

  - ### parseDateTimeDisplayAs

    public static DateTimeDisplayAs parseDateTimeDisplayAs​(String value)

  - ### parseDateTimeDisplayAs

    public static final String parseDateTimeDisplayAs​(DateTimeDisplayAs value)

  - ### parseChoicesDisplayAs

    public static ChoicesDisplayAs parseChoicesDisplayAs​(String value)

  - ### parseChoicesDisplayAs

    public static final String parseChoicesDisplayAs​(ChoicesDisplayAs value)

  - ### parseChoiceColor

    public static ChoiceColor parseChoiceColor​(String value)

  - ### parseChoiceColor

    public static final String parseChoiceColor​(ChoiceColor value)

  - ### parseCalculatedColumnOutputType

    public static CalculatedColumnOutputType parseCalculatedColumnOutputType​(String value)

  - ### parseCalculatedColumnOutputType

    public static final String parseCalculatedColumnOutputType​(CalculatedColumnOutputType value)

  - ### parseMembershipRuleProcessingState

    public static MembershipRuleProcessingState parseMembershipRuleProcessingState​(String value)

  - ### parseMembershipRuleProcessingState

    public static final String parseMembershipRuleProcessingState​(MembershipRuleProcessingState value)

  - ### parseLicenseProcessingState

    public static LicenseProcessingState parseLicenseProcessingState​(String value)

  - ### parseLicenseProcessingState

    public static final String parseLicenseProcessingState​(LicenseProcessingState value)

  - ### parseGroupVisibility

    public static GroupVisibility parseGroupVisibility​(String value)

  - ### parseGroupVisibility

    public static final String parseGroupVisibility​(GroupVisibility value)

  - ### parseGroupType

    public static GroupType parseGroupType​(String value)

  - ### parseGroupType

    public static final String parseGroupType​(GroupType value)

  - ### parseGroupColorTheme

    public static GroupColorTheme parseGroupColorTheme​(String value)

  - ### parseGroupColorTheme

    public static final String parseGroupColorTheme​(GroupColorTheme value)

  - ### parseViewType

    public static ViewType parseViewType​(String value)

  - ### parseViewType

    public static final String parseViewType​(ViewType value)

  - ### parseStorageSpaceState

    public static StorageSpaceState parseStorageSpaceState​(String value)

  - ### parseStorageSpaceState

    public static final String parseStorageSpaceState​(StorageSpaceState value)

  - ### parseStandardDriveFolder

    public static StandardDriveFolder parseStandardDriveFolder​(String value)

  - ### parseStandardDriveFolder

    public static final String parseStandardDriveFolder​(StandardDriveFolder value)

  - ### parseSortOrder

    public static SortOrder parseSortOrder​(String value)

  - ### parseSortOrder

    public static final String parseSortOrder​(SortOrder value)

  - ### parseSortBy

    public static SortBy parseSortBy​(String value)

  - ### parseSortBy

    public static final String parseSortBy​(SortBy value)

  - ### parseSharingLinkType

    public static SharingLinkType parseSharingLinkType​(String value)

  - ### parseSharingLinkType

    public static final String parseSharingLinkType​(SharingLinkType value)

  - ### parseSharingLinkScope

    public static SharingLinkScope parseSharingLinkScope​(String value)

  - ### parseSharingLinkScope

    public static final String parseSharingLinkScope​(SharingLinkScope value)

  - ### parseSharedScope

    public static SharedScope parseSharedScope​(String value)

  - ### parseSharedScope

    public static final String parseSharedScope​(SharedScope value)

  - ### parsePublicationLevel

    public static PublicationLevel parsePublicationLevel​(String value)

  - ### parsePublicationLevel

    public static final String parsePublicationLevel​(PublicationLevel value)

  - ### parsePermissionType

    public static PermissionType parsePermissionType​(String value)

  - ### parsePermissionType

    public static final String parsePermissionType​(PermissionType value)

  - ### parseJobStatus

    public static JobStatus parseJobStatus​(String value)

  - ### parseJobStatus

    public static final String parseJobStatus​(JobStatus value)

  - ### parseDriveType

    public static DriveType parseDriveType​(String value)

  - ### parseDriveType

    public static final String parseDriveType​(DriveType value)

  - ### parseConflictBehavior

    public static ConflictBehavior parseConflictBehavior​(String value)

  - ### parseConflictBehavior

    public static final String parseConflictBehavior​(ConflictBehavior value)

  - ### parseInferenceClassification

    public static InferenceClassification parseInferenceClassification​(String value)

  - ### parseInferenceClassification

    public static final String parseInferenceClassification​(InferenceClassification value)

  - ### parseExchangeIdFormat

    public static ExchangeIdFormat parseExchangeIdFormat​(String value)

  - ### parseExchangeIdFormat

    public static final String parseExchangeIdFormat​(ExchangeIdFormat value)

  - ### parseShowAs

    public static ShowAs parseShowAs​(String value)

  - ### parseShowAs

    public static final String parseShowAs​(ShowAs value)

  - ### parseResponseType

    public static ResponseType parseResponseType​(String value)

  - ### parseResponseType

    public static final String parseResponseType​(ResponseType value)

  - ### parseRecurrenceRangeType

    public static RecurrenceRangeType parseRecurrenceRangeType​(String value)

  - ### parseRecurrenceRangeType

    public static final String parseRecurrenceRangeType​(RecurrenceRangeType value)

  - ### parseRecurrencePatternType

    public static RecurrencePatternType parseRecurrencePatternType​(String value)

  - ### parseRecurrencePatternType

    public static final String parseRecurrencePatternType​(RecurrencePatternType value)

  - ### parseOnlineMeetingProvider

    public static OnlineMeetingProvider parseOnlineMeetingProvider​(String value)

  - ### parseOnlineMeetingProvider

    public static final String parseOnlineMeetingProvider​(OnlineMeetingProvider value)

  - ### parseMonth

    public static Month parseMonth​(int value)

  - ### parseMonth

    public static final String parseMonth​(Month value)

  - ### parseMeetingMessageType

    public static MeetingMessageType parseMeetingMessageType​(String value)

  - ### parseMeetingMessageType

    public static final String parseMeetingMessageType​(MeetingMessageType value)

  - ### parseFreeBusyStatus

    public static FreeBusyStatus parseFreeBusyStatus​(String value)

  - ### parseFreeBusyStatus

    public static final String parseFreeBusyStatus​(FreeBusyStatus value)

  - ### parseEventType

    public static EventType parseEventType​(String value)

  - ### parseEventType

    public static final String parseEventType​(EventType value)

  - ### parseEmptySuggestionsReason

    public static EmptySuggestionsReason parseEmptySuggestionsReason​(String value)

  - ### parseEmptySuggestionsReason

    public static final String parseEmptySuggestionsReason​(EmptySuggestionsReason value)

  - ### parseDayOfWeekIndex

    public static DayOfWeekIndex parseDayOfWeekIndex​(String value)

  - ### parseDayOfWeekIndex

    public static final String parseDayOfWeekIndex​(DayOfWeekIndex value)

  - ### parseCalendarColor

    public static CalendarColor parseCalendarColor​(String value)

  - ### parseCalendarColor

    public static final String parseCalendarColor​(CalendarColor value)

  - ### parseBookingType

    public static BookingType parseBookingType​(String value)

  - ### parseBookingType

    public static final String parseBookingType​(BookingType value)

  - ### parseAvailabilityView

    public static AvailabilityView parseAvailabilityView​(String value)

  - ### parseAvailabilityView

    public static final String parseAvailabilityView​(AvailabilityView value)

  - ### parseAttendeeType

    public static AttendeeType parseAttendeeType​(String value)

  - ### parseAttendeeType

    public static final String parseAttendeeType​(AttendeeType value)

  - ### parseActivityDomain

    public static ActivityDomain parseActivityDomain​(String value)

  - ### parseActivityDomain

    public static final String parseActivityDomain​(ActivityDomain value)

  - ### parseStandardMailboxFolder

    public static StandardMailboxFolder parseStandardMailboxFolder​(String value)

  - ### parseStandardMailboxFolder

    public static final String parseStandardMailboxFolder​(StandardMailboxFolder value)

  - ### parseSensitivity

    public static Sensitivity parseSensitivity​(String value)

  - ### parseSensitivity

    public static final String parseSensitivity​(Sensitivity value)

  - ### parseReferenceAttachmentPermission

    public static ReferenceAttachmentPermission parseReferenceAttachmentPermission​(String value)

  - ### parseReferenceAttachmentPermission

    public static final String parseReferenceAttachmentPermission​(ReferenceAttachmentPermission value)

  - ### parseReferenceAttachmentProvider

    public static ReferenceAttachmentProvider parseReferenceAttachmentProvider​(String value)

  - ### parseReferenceAttachmentProvider

    public static final String parseReferenceAttachmentProvider​(ReferenceAttachmentProvider value)

  - ### parseOutlookCategoryColor

    public static OutlookCategoryColor parseOutlookCategoryColor​(String value)

  - ### parseOutlookCategoryColor

    public static final String parseOutlookCategoryColor​(OutlookCategoryColor value)

  - ### parsePhysicalAddressType

    public static PhysicalAddressType parsePhysicalAddressType​(String value)

  - ### parsePhysicalAddressType

    public static final String parsePhysicalAddressType​(PhysicalAddressType value)

  - ### parseLocationType

    public static LocationType parseLocationType​(String value)

  - ### parseLocationType

    public static final String parseLocationType​(LocationType value)

  - ### parseImportance

    public static Importance parseImportance​(String value)

  - ### parseImportance

    public static final String parseImportance​(Importance value)

  - ### parseFlagStatus

    public static FlagStatus parseFlagStatus​(String value)

  - ### parseFlagStatus

    public static final String parseFlagStatus​(FlagStatus value)

  - ### parseContentType

    public static ContentType parseContentType​(String value)

  - ### parseContentType

    public static final String parseContentType​(ContentType value)

  - ### parseDayOfWeek

    public static DayOfWeek parseDayOfWeek​(String value)

  - ### parseDayOfWeek

    public static final String parseDayOfWeek​(DayOfWeek value)

  - ### parseLicenseAssignmentFailureError

    public static LicenseAssignmentFailureError parseLicenseAssignmentFailureError​(String value)

  - ### parseLicenseAssignmentFailureError

    public static final String parseLicenseAssignmentFailureError​(LicenseAssignmentFailureError value)

  - ### parseLegalAgeGroupClassification

    public static LegalAgeGroupClassification parseLegalAgeGroupClassification​(String value)

  - ### parseLegalAgeGroupClassification

    public static final String parseLegalAgeGroupClassification​(LegalAgeGroupClassification value)

  - ### parseExternalUserState

    public static ExternalUserState parseExternalUserState​(String value)

  - ### parseExternalUserState

    public static final String parseExternalUserState​(ExternalUserState value)

  - ### parseExternalAudience

    public static ExternalAudience parseExternalAudience​(String value)

  - ### parseExternalAudience

    public static final String parseExternalAudience​(ExternalAudience value)

  - ### parseConsentProvidedForMinor

    public static ConsentProvidedForMinor parseConsentProvidedForMinor​(String value)

  - ### parseConsentProvidedForMinor

    public static final String parseConsentProvidedForMinor​(ConsentProvidedForMinor value)

  - ### parseAutomaticRepliesStatus

    public static AutomaticRepliesStatus parseAutomaticRepliesStatus​(String value)

  - ### parseAutomaticRepliesStatus

    public static final String parseAutomaticRepliesStatus​(AutomaticRepliesStatus value)

  - ### parseAssignmentState

    public static AssignmentState parseAssignmentState​(String value)

  - ### parseAssignmentState

    public static final String parseAssignmentState​(AssignmentState value)

  - ### parseAgeGroup

    public static AgeGroup parseAgeGroup​(String value)

  - ### parseAgeGroup

    public static final String parseAgeGroup​(AgeGroup value)

  - ### parsePlannerPlanContainerType

    public static PlannerPlanContainerType parsePlannerPlanContainerType​(String value)

  - ### parsePlannerPlanContainerType

    public static String parsePlannerPlanContainerType​(PlannerPlanContainerType value)

  - ### parseCallType

    public static CallType parseCallType​(String value)

  - ### parseCallType

    public static String parseCallType​(CallType value)

  - ### parseNetworkConnectionType

    public static NetworkConnectionType parseNetworkConnectionType​(String value)

  - ### parseNetworkConnectionType

    public static String parseNetworkConnectionType​(NetworkConnectionType value)

  - ### parseWifiBand

    public static WifiBand parseWifiBand​(String value)

  - ### parseWifiBand

    public static String parseWifiBand​(WifiBand value)

  - ### parseUserFeedbackRating

    public static UserFeedbackRating parseUserFeedbackRating​(String value)

  - ### parseUserFeedbackRating

    public static String parseUserFeedbackRating​(UserFeedbackRating value)

  - ### parseCallState

    public static CallState parseCallState​(String value)

  - ### parseCallState

    public static String parseCallState​(CallState value)

  - ### parseCallDirection

    public static CallDirection parseCallDirection​(String value)

  - ### parseCallDirection

    public static String parseCallDirection​(CallDirection value)

  - ### parseModality

    public static Modality parseModality​(String value)

  - ### parseModality

    public static String parseModality​(Modality value)

  - ### parseModality

    public static List<String> parseModality​(List<Modality> values)

  - ### parseRejectReason

    public static RejectReason parseRejectReason​(String value)

  - ### parseRejectReason

    public static String parseRejectReason​(RejectReason value)

  - ### parseRecordingStatus

    public static RecordingStatus parseRecordingStatus​(String value)

  - ### parseRecordingStatus

    public static String parseRecordingStatus​(RecordingStatus value)

  - ### parseMediaDirection

    public static MediaDirection parseMediaDirection​(String value)

  - ### parseMediaDirection

    public static String parseMediaDirection​(MediaDirection value)

  - ### parseTone

    public static Tone parseTone​(String value)

  - ### parseTone

    public static String parseTone​(Tone value)

  - ### parseRoutingType

    public static RoutingType parseRoutingType​(String value)

  - ### parseRoutingType

    public static String parseRoutingType​(RoutingType value)

  - ### parsePresenceAvailability

    public static String parsePresenceAvailability​(PresenceAvailability value)

  - ### parsePresenceAvailability

    public static PresenceAvailability parsePresenceAvailability​(String value)

  - ### parsePresenceActivity

    public static String parsePresenceActivity​(PresenceActivity value)

  - ### parsePresenceActivity

    public static PresenceActivity parsePresenceActivity​(String value)

  - ### parseChartSeriesBy

    public static ChartSeriesBy parseChartSeriesBy​(String value)

  - ### parseChartSeriesBy

    public static String parseChartSeriesBy​(ChartSeriesBy value)

  - ### parseChartType

    public static ChartType parseChartType​(String value)

  - ### parseChartType

    public static String parseChartType​(ChartType value)

  - ### parseChartFittingMode

    public static ChartFittingMode parseChartFittingMode​(String value)

  - ### parseChartFittingMode

    public static String parseChartFittingMode​(ChartFittingMode value)

  - ### parseCellValueType

    public static CellValueType parseCellValueType​(String value)

  - ### parseCellValueType

    public static String parseCellValueType​(CellValueType value)

  - ### parseCalculationMode

    public static CalculationMode parseCalculationMode​(String value)

  - ### parseCalculationMode

    public static String parseCalculationMode​(CalculationMode value)

  - ### parseReferenceType

    public static ReferenceType parseReferenceType​(String value)

  - ### parseReferenceType

    public static String parseReferenceType​(ReferenceType value)

  - ### parseWorksheetVisibility

    public static WorksheetVisibility parseWorksheetVisibility​(String value)

  - ### parseWorksheetVisibility

    public static String parseWorksheetVisibility​(WorksheetVisibility value)

  - ### parseCalculationType

    public static CalculationType parseCalculationType​(String value)

  - ### parseCalculationType

    public static String parseCalculationType​(CalculationType value)

  - ### parseMailTipsType

    public static String parseMailTipsType​(MailTipsType value)

  - ### parseRecipientScope

    public static RecipientScope parseRecipientScope​(String value)

  - ### parseRecipientScope

    public static String parseRecipientScope​(RecipientScope value)

  - ### parseActivityInterval

    public static String parseActivityInterval​(ActivityInterval value)